Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Naming_Context.cpp File Reference

`#include "ace/Get_Opt.h"`
`#include "ace/Naming_Context.h"`
`#include "ace/Remote_Name_Space.h"`
`#include "ace/Local_Name_Space_T.h"`
`#include "ace/Registry_Name_Space.h"`
`#include "ace/MMAP_Memory_Pool.h"`
`#include "ace/RW_Process_Mutex.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_unistd.h"`

Include dependency graph for Naming_Context.cpp:

## Typedefs
typedef ACE_Local_Name_Space< ACE_LITE_MMAP_MEMORY_POOL, ACE_RW_Process_Mutex > | LITE_LOCAL_NAME_SPACE
## Variables
ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Local_Name_Space< ACE_MMAP_MEMORY_POOL, ACE_RW_Process_Mutex > | LOCAL_NAME_SPACE

## Typedef Documentation

typedef ACE_Local_Name_Space<ACE_LITE_MMAP_MEMORY_POOL, ACE_RW_Process_Mutex> LITE_LOCAL_NAME_SPACE

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Local_Name_Space<ACE_MMAP_MEMORY_POOL, ACE_RW_Process_Mutex> LOCAL_NAME_SPACE